package com.persagy.dmp.rwd.digital.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.digital.entity.ObjectDigital;
import com.persagy.dmp.digital.entity.ObjectRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 关系数据 DAO
 * @author Charlie Yu
 * @date 2021-07-08
 */
public interface ObjectRelationMapper extends BaseMapper<ObjectRelation> {
    /***
     * Description: 根据对象id(obj_to字段)
     * @param objIds : 对象id
     * @param relCode : 关系code
     * @return : java.util.List<com.persagy.dmp.digital.entity.ObjectDigital>
     * @author : lijie
     * @date :2021/8/26 12:07
     * Update By lijie 2021/8/26 12:07
     */
    List<ObjectDigital> selectRelCodesByObjToIdsAndRelCode(@Param("objIds") Set<String> objIds,@Param("relCode") String relCode);
}
